Category Archives: Debian

SickRage installeren Debian via de command line

In deze SickRage installeren Debian handleiding. Gaan we Sikrage installeren via de command line. Vervolgens gaan we SickRage configureren om series te downloaden uit de nieuwsgroepen.

Benodigde software voor SickRage Installeren

We moeten als eerst een update doen.

sudo apt-get update

Vervolgens, gaan we alle software updaten.

sudo apt-get upgrade -y

We gaan nu de benodigdheden installeren voor SickRage. Zo als Python.

sudo apt-get install python-pip python-dev git-core libssl-dev libxslt1-dev libxslt1.1 libxml2-dev libxml2 libssl-dev libffi-dev -y

We gaan nu Pip installeren.

sudo pip install pyopenssl

Nu moeten we alleen nog het programma Unrar installeren.

Unrar installeren voor Debian

We hebben Unrar nodig om de gedownloade bestanden  uit te pakken.

sudo apt-get install build-essential -y

We gaan nu Unrar downloaden. Je kan op https://rarlab.com/download.htm de laatste versie vinden. Pas dit aan, indien nodig.

wget http://rarlab.com/rar/unrarsrc-5.2.7.tar.gz

Nu gaan we Unrar uitpakken.

tar -xvf unrarsrc-5.2.7.tar.gz

Vervolgens gaan we naar de Unrar map.

cd unrar

We gaan nu het bestand aanmaken.

sudo make -f makefile

We gaan nu Unrar installeren.

sudo install -v -m755 unrar /usr/bin

De installatie van Unrar is nu voltooid.

SickRage installeren Debian

We gaan nu SickRage downloaden en installeren. Dit doen we in de verborgen map “sickrage”.

sudo git clone https://github.com/SickRage/SickRage.git /sickrage

Nu moeten we de map rechten nog goed zetten. Let op! Pas gebruikersnaam aan, Nnaar je eigen gebruikersnaam.

sudo chown -R gebruikersnaam:gebruikersnaam /sickrage

Nu moeten we controleren of het goed is gegaan. Dus nu starten we SickRage op de volgende manier.

python ./sickrage/SickBeard.py -d

De installatie van SickRage is nu klaar.

SickRage automatisch starten

Het is natuurlijk erg handig. Als dat SickRage automatisch wordt gestart tijdens het opstart proces. Voor we dit gaan doen moet je weten welke Debian versie je gebruikt.

Dit doe je door onderstaande commando uit te voeren.

sudo stat /proc/1/exe

Als je gebruik maakt van Debian Jessie of  hoger. Dan moet je gebruik maken van het systemd script.

Als je gebruik maakt van Debian Wheezy. Dan moet je het in init.d script gaan gebruiken.

Systemd script

De standaard file aanmaken voor SickRage.

sudo nano /etc/default/sickrage

Onderstaande hierin plakken en kopiëren. Let op! Pas de gebruikersnaam.

SR_USER=gebruikersnaam
SR_HOME=./sickrage
SR_DATA=./sickrage
SR_PIDFILE=/home/user/.sickrage.pid

Druk nu op de CTRL + X toets. En y om te bevestigen.

Nu gaan we het script kopiëren.

sudo cp /./sickrage/runscripts/init.ubuntu /etc/init.d/sickrage

Nu moeten we het script uitvoerbaar maken.

sudo chmod +x /etc/init.d/sickrage

Standaard waarde van SickRage script updaten

sudo update-rc.d sickrage defaults

Nu kan je Sickrage starten. Op de volgende manier.

sudo service sickrage start

Je bent nu klaar. SickRage wordt nu automatisch gestart. Tijdens het opstart proces.

Init.d script

Nu moeten we een standaard file aanmaken.

sudo nano /etc/systemd/system/sickrage.service

Het volgende hier in kopiëren en plakken. Let op! pas hier de gebruikersnaam aan. Naar je eigen gebruikersnaam.

[Unit]
Description=SickRage Daemon

[Service]
User=gebruikersnaam
Group=gebruikersnaam
Type=forking
GuessMainPID=no
ExecStart=/usr/bin/python ./sickrage/SickBeard.py -q –daemon –nolaunch –datadir=./sickrage

[Install]
WantedBy=multi-user.target

Druk op de CTRL + X toets. En vervolgens druk je op de y toets. Om dit bestand op te slaan.

Nu moeten we het script actieveren.

Enable the SickRage systemd script

Nu kan je SickRage op de volgende manier starten.

sudo service sickrage start

SickRage wordt nu automatisch gestart. Tijdens het opstart proces van Debian.

118 0

SABnzbd installeren Debian via de command line

SABnzbd installeren Debian handleiding. In deze handleiding gaan we SABnzbd installeren via de command line. Vervolgens gaan we SABnzb configureren om te downloaden uit de nieuwsgroepen.

SABnzbd installeren Debian

We hebben Python nodig. Anders werkt SABnzbd niet. Dus we gaan nu als eerste Python installeren.

sudo apt-get install python-gdbm python-cheetah python-openssl par2 unzip -y

Python cheetah hebben we ook nodig. Dus nu we Cheetah installeren.

sudo apt-get install python2.6 python-cheetah python-openssl par2 unzip -y

We moeten nu de repository van SABnzbd toevoegen.

echo “deb http://ppa.launchpad.net/jcfp/ppa/ubuntu precise main” | tee -a /etc/apt/sources.list.d/sabnzbdplus.list
sudo apt-key adv –keyserver hkp://pool.sks-keyservers.net:11371 –recv-keys 0x98703123E0F52B2BE16D586EF13930B14BB9F05F

Vervolgens moeten we een update doen.

sudo apt-get update

Hierna moeten we een upgrade doen.

sudo apt-get upgrade -y

We gaan nu SABnzbd met Python pip installeren.

sudo apt-get install sabnzbdplus python-pip -y

Nu moeten we Sabyenc nog downloaden en installeren.

sudo pip install sabyenc

De installatie van SABnzbd is nu klaar.

SABnzbd automatisch starten tijdens boot

We gaan nu. Het volgende bestand bewerken.

sudo nano /etc/default/sabnzbdplus

Zoek de volgende regel op USER=  En geef hier je eigen gebruikersnaam op.

Druk op CTRL + X toets. En vervolgens drukken we op de y toets in. Om dit bestand op te slaan.

Nu moeten we de SAbnzbd service opnieuw starten.

sudo service sabnzbdplus restart

Nu moeten we de SABnzbd opstart instellingen meenemen.

sudo update-rc.d sabnzbdplus defaults

SABnzbd wordt nu automatisch gestart, tijdens het opstart proces.

136 0

PlexMedia server installeren Debian via de command line

PlexMedia server installeren Debian handleiding. In deze handleiding gaan we PlexMedia server installeren op een computer met Debian. Vervolgens gaan we de PlexMEdia server Configureren.

PlexMedia Server installeren Debian

We moeten als eerste de sleutel importeren van PlexMedia. Dat doen we als volgt.

wget https://downloads.plex.tv/plex-keys/PlexSign.key -O –
sudo apt-key add -echo “deb https://downloads.plex.tv/repo/deb ./public main”
sudo tee -a /etc/apt/sources.list.d/plex.list

Vervolgens moeten we een update doen.

sudo apt-get update

Nu gaan we de sleutel van PlexMedia installeren.

sudo apt-get install deb-multimedia-keyring -y

Nu moeten we, weer een update doen.

sudo apt-get update

Nu kunnen we PlexMedia server installeren.

sudo apt-get install plexmediaserver -y

Nu moeten we de rechten, nog goed zetten op de map. Anders kan je foutmeldingen krijgen.

sudo nano /etc/default/plexmediaserver

Zoek onderstaande regel op. En verander dit naar je eigen gebruikersnaam.

PLEX_MEDIA_SERVER_USER=plex

Druk nu op de volgende toetsen Ctrl+ X. En vervolgens op de y  toets. Om dit bestand op te slaan.

De installatie van PlexMedia server is nu klaar.  En PlexMedia wordt automatisch gestart. Als Debian wordt gestart.

142 0

CouchPotato installeren Debian via de command line

In deze handleiding CouchPotato installeren Debian. Gaan we CouchPotato installeren via de command line. Als CouchPotato is geïnstalleerd. Dan worden films automatisch gedownload uit de nieuwsgroepen. Zodra de gewenste kwaliteit van de film beschikbaar is.

CouchPotato benodigde software installeren

We moeten als eerste de benodigde  software installeren voor CouhPotato. Anders kan CouchPotato niet goed functioneren.

We moeten nu, als eerste een update doen.

sudo apt-get update

Nu gaan we de benodigde software installeren.

sudo apt-get install git-core libffi-dev libssl-dev zlib1g-dev libxslt1-dev libxml2-dev python python-pip python-dev build-essential -y

Nu moeten we de overige benodigde software installeren voor CouchPotato.

sudo pip install lxml cryptography pyopenssl

We gaan nu CouchPotato downloaden en installeren. Naar de verborgen map couchpotato.

git clone https://github.com/RuudBurger/CouchPotatoServer.git ./couchpotato

Rechten goed zetten op de map couchpotato. Let op pas hier gebruikersnaam aan naar je eigen gebruiksnaam.

sudo chown -R gebruikersnaam:gebruikersnaam ./couchpotato

Nu nog controleren of CouchPotato gestart kan worden.

python ./couchpotato/CouchPotato.py –daemon

Je bent nu klaar met installatie van CouchPotato.

Je kan CouchPotato benaderen via je browser door de volgende pagina te openen: http://ip-adres:5050

CouchPotato automatisch starten Debian

Het is natuurlijk als CouchPotato wordt gestart tijdens het booten. Dat gaan we nu dus regelen.

sudo nano /etc/default/couchpotato

Onderstaande kopiëren en plakken in dit bestand. En pas hier 2 keer de gebruikersnaam aan. Naar die van je eigen Debian gebruikers naam.

CP_HOME=./couchpotato
CP_USER=gebruikersnaam
CP_PIDFILE=/home/gebruikersnaam/.couchpotato.pid
CP_DATA=./couchpotato

Nu het Init.d scripit kopiëren.

sudo cp ./couchpotato/init/ubuntu /etc/init.d/couchpotato

Het script uitvoerbaar maken.

sudo chmod +x /etc/init.d/couchpotato

Het script activeren, tijdens het starten.

sudo update-rc.d /etc/init.d/couchpotato defaults

Nu voor de zekerheid testen of het werkt. Dit doe je door de computer opnieuw op te starten.

sudo reboot

Je bent nu helemaal klaar met de installatie van CouchPotato op Debian.

170 0

Sonarr installeren Debian via de command line

In deze handleiding Sonarr installeren Debian. Gaan we het programma Sonarr installeren via de command line. Op een Computer met Debian. Vervolgens gaan we Sonarr configureren om automatisch je favorieten tv series te downloaden uit de nieuwsgroepen.

Sonarr Installeren Debian

We moeten de Mono repository van Xamarin toevoegen. Zodat je zeker weet. Dat je de laatste van de Mono software krijgt.

sudo apt-key adv –keyserver hkp://keyserver.ubuntu.com:80 –recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo “deb http://download.mono-project.com/repo/debian wheezy main” | sudo tee /etc/apt/sources.list.d/mono-xamarin.list

We  moeten https installatie bron mogelijkheid toevoegen.

sudo apt-get install apt-transport-https -y

Nu gaan we de Sonarr repository toevoegen.

sudo apt-key adv –keyserver keyserver.ubuntu.com –recv-keys FDA5DFFC
echo “deb https://apt.sonarr.tv/ master main” | sudo tee -a /etc/apt/sources.list

We moeten nu een update doen.

sudo apt-get update

Nu gaan we Sonarr downloaden en installeren.

sudo apt-get install nzbdrone -y

Rechten goed zetten. Op de Sonarr map.

sudo chown -R gebruikersnaam:gebruikersnaam /opt/NzbDrone

Sonarr starten om te kijken of het werkt.

mono /opt/NzbDrone/NzbDrone.exe

Je bent nu klaar met de installatie van Sonarr. En je kan Sonaar benaderen via http://ip.adres:8989

Sonarr Autostart Debian

Nu moeten we er nog voor zorgen dat Sonarr start, tijdens het booten van Debian. Dat gaan we op de volgende manier doen.

We gaan nu een opstart script aanmaken.

sudo nano /etc/init.d/nzbdrone

Onderstaande plakken we hier in. Let op! Pas de Gebruikersnaam aan naar je eigen gebruikersnaam.

#! /bin/sh
### BEGIN INIT INFO
# Provides: NzbDrone script
### END INIT INFO

############### Bewerkt mij ##################
# path to app
APP_PATH=/opt/NzbDrone

# user
RUN_AS=Gebruikersnaam

# path to mono bin
DAEMON=/usr/bin/mono

# Path to store PID file
PID_FILE=/var/run/nzbdrone/nzbdrone.pid
PID_PATH=$(dirname $PID_FILE)

# script name
NAME=nzbdrone

# app name
DESC=NzbDrone

# startup args
EXENAME=”NzbDrone.exe”
DAEMON_OPTS=” “$EXENAME

############### Einde bewerk mij ##################

NZBDRONE_PID=`ps auxf | grep NzbDrone.exe | grep -v grep | awk ‘{print $2}’`

test -x $DAEMON || exit 0

set -e

#Look for PID and create if doesn’t exist
if [ ! -d $PID_PATH ]; then
mkdir -p $PID_PATH
chown $RUN_AS $PID_PATH
fi

if [ ! -d $DATA_DIR ]; then
mkdir -p $DATA_DIR
chown $RUN_AS $DATA_DIR
fi

if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if ! kill -0 $PID > /dev/null 2>&1; then
echo “Removing stale $PID_FILE”
rm $PID_FILE
fi
fi

echo $NZBDRONE_PID > $PID_FILE

case “$1” in
start)
if [ -z “${NZBDRONE_PID}” ]; then
echo “Starting $DESC”
rm -rf $PID_PATH || return 1
install -d –mode=0755 -o $RUN_AS $PID_PATH || return 1
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
else
echo “NzbDrone already running.”
fi
;;
stop)
echo “Stopping $DESC”
echo $NZBDRONE_PID > $PID_FILE
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
;;

restart|force-reload)
echo “Restarting $DESC”
start-stop-daemon –stop –pidfile $PID_FILE –retry 15
start-stop-daemon -d $APP_PATH -c $RUN_AS –start –background –pidfile $PID_FILE –exec $DAEMON — $DAEMON_OPTS
;;
status)
# Use LSB function library if it exists
if [ -f /lib/lsb/init-functions ]; then
. /lib/lsb/init-functions
if [ -e $PID_FILE ]; then
status_of_proc -p $PID_FILE “$DAEMON” “$NAME” && exit 0 || exit $?
else
log_daemon_msg “$NAME is not running”
exit 3
fi

else
# Use basic functions
if [ -e $PID_FILE ]; then
PID=`cat $PID_FILE`
if kill -0 $PID > /dev/null 2>&1; then
echo ” * $NAME is running”
exit 0
fi
else
echo ” * $NAME is not running”
exit 3
fi
fi
;;
*)
N=/etc/init.d/$NAME
echo “Usage: $N {start|stop|restart|force-reload|status}” >&2
exit 1
;;
esac

exit 0

We sluiten nu dit bestand en slaan het op. Druk op CTRL +X toets en vervolgens Y toets. Om dit te bevestigen.

Nu moeten we het script uitvoerbaar maken.

sudo chmod +x /etc/init.d/nzbdrone

Nu voegen we het aan de opstart toe.

sudo update-rc.d nzbdrone defaults

Als, alles goed is gegaan. Dan moet onderstaande commando nu werken.

sudo service nzbdrone start

Je kan dit voor de zekerheid  testen, door opnieuw te starten.

sudo reboot

Je bent nu klaar met het opstart script.

163 0